Search for %s
- Search 7.x for %s
- Search 9.5.x for %s
- Search 10.3.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| CreateTestContentEntitiesTrait | trait | core/ |
Provides helper methods for creating test content. |
| CreateTestContentEntitiesTrait.php | file | core/ |
|
| CreateTestContentEntitiesTrait::createContent | function | core/ |
Create several pieces of generic content. |
| CreateTestContentEntitiesTrait::createContentPostUpgrade | function | core/ |
Create several pieces of generic content. |
| CreateTestContentEntitiesTrait::getRequiredModules | function | core/ |
Gets required modules. |
| CreateTestContentEntitiesTrait::installEntitySchemas | function | core/ |
Install required entity schemas. |
| CredentialForm::$errors | property | core/ |
An array of error information. |
| CredentialForm::getDatabaseTypes | function | core/ |
Returns all supported database driver installer objects. |
| CredentialForm::setupMigrations | function | core/ |
Gets and stores information for this migration in temporary store. |
| CredentialForm::submitForm | function | core/ |
Form submission handler. |
| CredentialForm::validatePaths | function | core/ |
The #element_validate handler for the source path elements. |
| CredentialForm::__construct | function | core/ |
CredentialForm constructor. |
| cron-curl.sh | file | core/ |
#!/bin/sh curl --silent --compressed http://example.com/cron/YOURKEY |
| cron-lynx.sh | file | core/ |
#!/bin/sh /usr/bin/lynx -source http://example.com/cron/YOURKEY > /dev/null 2>&1 |
| Cron::$accountSwitcher | property | core/ |
The account switcher service. |
| Cron::$drupalProxyOriginalServiceId | property | core/ |
The id of the original proxied service. |
| Cron::$service | property | core/ |
The real proxied service, after it was lazy loaded. |
| Cron::$state | property | core/ |
The state service. |
| Cron::invokeCronHandlers | function | core/ |
Invokes any cron handlers implementing hook_cron. |
| Cron::lazyLoadItself | function | core/ |
Lazy loads the real service from the container. |
| Cron::processQueues | function | core/ |
Processes cron queues. |
| Cron::setCronLastTime | function | core/ |
Records and logs the request time for this cron invocation. |
| Cron::__construct | function | core/ |
Constructs a ProxyClass Drupal proxy object. |
| Cron::__construct | function | core/ |
Constructs a cron object. |
| CronAccessCheck | class | core/ |
Access check for cron routes. |
| CronAccessCheck.php | file | core/ |
|
| CronAccessCheck::access | function | core/ |
Checks access. |
| CronController::__construct | function | core/ |
Constructs a CronController object. |
| CronForm::$state | property | core/ |
Stores the state storage service. |
| CronForm::getEditableConfigNames | function | core/ |
Gets the configuration names that will be editable. |
| CronForm::submitForm | function | core/ |
Form submission handler. |
| CronForm::__construct | function | core/ |
Constructs a CronForm object. |
| CronQueueTest | class | core/ |
Tests the Cron Queue runner. |
| CronQueueTest.php | file | core/ |
|
| CronQueueTest::$connection | property | core/ |
The database connection. |
| CronQueueTest::$cron | property | core/ |
The cron service. |
| CronQueueTest::$modules | property | core/ |
The modules to enable. |
| CronQueueTest::setUp | function | core/ |
|
| CronQueueTest::testExceptions | function | core/ |
Tests that exceptions thrown by workers are handled properly. |
| CronQueueTestBrokenQueue | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_broken_queue", title = @Translation("Broken queue test"), cron = {"time" = 60} ) |
| CronQueueTestBrokenQueue.php | file | core/ |
|
| CronQueueTestBrokenQueue::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestException | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_exception", title = @Translation("Exception test"), cron = {"time" = 1} ) |
| CronQueueTestException.php | file | core/ |
|
| CronQueueTestException::processItem | function | core/ |
Works on a single queue item. |
| CronQueueTestRequeueException | class | core/ |
Plugin annotation @QueueWorker( id = "cron_queue_test_requeue_exception", title = @Translation("RequeueException test"), cron = {"time" = 60} ) |
| CronQueueTestRequeueException.php | file | core/ |
|
| CronQueueTestRequeueException::processItem | function | core/ |
Works on a single queue item. |
| CronRunTest | class | core/ |
Tests cron runs. |
| CronRunTest.php | file | core/ |
Pagination
- Previous page
- Page 263
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.